#
# spec file for package xpdf (Version 0.93)
#
# Copyright (c) 2003 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  freetype2 freetype2-devel ghostscript-fonts-std gpp libgpp t1lib t1lib-devel xf86 xpm
# usedforbuild    aaa_base aaa_dir aaa_version base bash bindutil bison bzip cpio cpp cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm gppshare grep groff gzip kbd less m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam-devel pam-modules patch ps rcs readline sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim autoconf automake binutils cracklib freetype2 freetype2-devel gcc gdbm gettext ghostscript-fonts-std gpp libgpp libtool libz pam perl rpm t1lib t1lib-devel xdevel xf86 xshared

Name:         xpdf
License:      GPL
Group:        Productivity/Publishing/PDF
Autoreqprov:  on
Requires:     ghostscript-fonts-std
Version:      0.93
Release:      189
Summary:      A pdf-file viewer under X11
Source:       xpdf-%{version}.tar.bz2
Source1:      Xpdf
# Patch:        xpdf-%{version}.dif
Patch1:       xpdf-overflow.patch
URL:          http://www.foolabs.com/xpdf/
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
This tool serves for viewing files in PDF (Portable Document Format).
It is designed to be small and efficient.

Authors:
--------
    Derek B. Noonburg <derekn@ece.cmu.edu>

SuSE series: gra

%prep
%setup 
# %patch 
%patch1

%build
%{?suse_update_config:%{suse_update_config -f }}
# autoconf
CFLAGS="$RPM_OPT_FLAGS" \
  ./configure --prefix=/usr \
            --mandir=%{_mandir} \
            --enable-a4 \
            --enable-japanese \
            --enable-chinese-gb \
            --enable-chinese-cns \
            --with-t1-library=/usr/lib/ \
	    --with-t1-includes=/usr/include/ \
	    --enable-freetype2 \
	    --with-freetype2-includes=/usr/include/freetype2
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults
install -m 644 %{S:1} $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc doc/*.hlp ANNOUNCE COPYING README CHANGES
/usr/bin/*
%{_mandir}/man1/*
%config(noreplace) /usr/X11R6/lib/X11/app-defaults/Xpdf

%changelog -n xpdf
* Mon Jan 06 2003 - nadvornik@suse.cz
- fixed possible overflow
* Thu Nov 22 2001 - nadvornik@suse.cz
- update to 0.93:
- support for PDF 1.4
- support for TTF fonts
- use fonts from ghostscript-fonts-std
* Thu Jun 07 2001 - pblaha@suse.cz
- unused autoconf because many problems in old configure.in
* Mon Feb 19 2001 - mfabian@suse.de
- update to 0.92
- t1lib is a separate package now, remove it from this package
  and add it to #neededforbuild and Requires: instead.
- add configure options --enable-japanese, --enable-chinese-gb
  and --enable-chinese-cns
* Thu Feb 08 2001 - fober@suse.de
- Group Aplications/Text
* Mon Sep 18 2000 - bubnikv@suse.cz
- updated to 0.91
* Mon Aug 14 2000 - schwab@suse.de
- Add %%suse_update_config.
* Fri May 26 2000 - bubnikv@suse.cz
- sorted
* Mon May 15 2000 - bubnikv@suse.cz
- xpdf now uses t1 library for rendering fonts
- added buildroot
* Tue Jan 25 2000 - ro@suse.de
- fixed to compile
- specfile cleanup
- man to /usr/share using macro
* Tue Jan 01 2000 - nobody@suse.de
  Sep  7 19:58:24 MET DST 1996     - fehr@suse.de
- New version 0.5
* Wed Oct 27 1999 - fehr@suse.de
- changed to version 0.90
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Jan 21 1999 - ro@suse.de
- use "const char*" where needed for strict typecheck
* Fri Dec 11 1998 - fehr@suse.de
- changed to version 0.80
* Mon Oct 05 1998 - ro@suse.de
- added libgpp to neededforbuild
* Mon Jul 06 1998 - fehr@suse.de
- New version 0.7a
* Wed Jun 04 1997 - fehr@suse.de
- New version 0.7
* Wed Apr 16 1997 - fehr@suse.de
- New version 0.6
